低危 缓冲区溢出漏洞

CVE编号

CVE-2018-17095

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-09-17
漏洞描述
在mpruett Audio File Library (又名audiofile)0.3.6中发现了一个问题。运行sfconvert时,在Expand3To4Module :: run中发生了基于堆的缓冲区溢出。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 audio_file_library_project audio_file_library 0.3.6 -
运行在以下环境
系统 amazon_2 audiofile * Up to
(excluding)
0.3.6-9.amzn2
运行在以下环境
系统 debian_9 audiofile * Up to
(excluding)
0.3.6-4+deb9u1
运行在以下环境
系统 fedora_27 audiofile * Up to
(excluding)
0.3.6-21.fc27
运行在以下环境
系统 fedora_28 audiofile * Up to
(excluding)
0.3.6-21.fc28
运行在以下环境
系统 fedora_29 audiofile * Up to
(excluding)
0.3.6-21.fc29
运行在以下环境
系统 opensuse_Leap_15.0 audiofile * Up to
(excluding)
0.3.6-lp150.2.3.1
运行在以下环境
系统 opensuse_Leap_42.3 audiofile * Up to
(excluding)
0.3.6-13.3.1
运行在以下环境
系统 oracle_7 audiofile * Up to
(excluding)
0.3.6-9.el7
运行在以下环境
系统 redhat_7 audiofile * Up to
(excluding)
1:0.3.6-9.el7
运行在以下环境
系统 suse_12 audiofile * Up to
(excluding)
0.3.6-11.3
运行在以下环境
系统 suse_12_SP3 audiofile * Up to
(excluding)
0.3.6-11.3.1
运行在以下环境
系统 suse_12_SP4 audiofile * Up to
(excluding)
0.3.6-11.3.1
运行在以下环境
系统 ubuntu_14.04 audiofile * Up to
(excluding)
0.3.6-2ubuntu0.14.04.3
运行在以下环境
系统 ubuntu_14.04.6_lts audiofile * Up to
(excluding)
0.3.6-2ubuntu0.14.04.3
运行在以下环境
系统 ubuntu_16.04.7_lts audiofile * Up to
(excluding)
2018-09-18
运行在以下环境
系统 ubuntu_18.04.5_lts audiofile * Up to
(excluding)
2018-09-18
运行在以下环境
系统 ubuntu_18.10 audiofile * Up to
(excluding)
2018-09-18
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况